Skip to main content

GetPaginatedProposalList

POST

List chain parameter proposals with pagination.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
offsetinteger
Starting position for pagination. Must be ≥ 0. (Default: 0)
limitinteger
The number of results to return per page. Must be greater than 0 and cannot exceed 1000. (Default: 50)
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
proposalsarray
Proposal list. For parameters of each proposal, please refer to GetProposalById.
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/getpaginatedproposallist' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"offset": 0,
"limit": 10
}'